# TdApi.SendChatAction (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SendChatAction

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendChatAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SendChatAction

Enclosing class:
  TdApi

public static final class TdApi.SendChatAction extends TdApi.Function<TdApi.Ok>
Sends a notification about user activity in a chat.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatAction`
`action`
The action description; pass null to cancel the currently active action.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`messageThreadId`
If not 0, the message thread identifier in which the action was performed.

## Constructor Summary

Constructors
Constructor
Description
`SendChatAction()`
Sends a notification about user activity in a chat.
`SendChatAction(long chatId, long messageThreadId, TdApi.ChatAction action)`
Sends a notification about user activity in a chat.
`SendChatAction(DataInput input)`
Sends a notification about user activity in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageThreadId

public long messageThreadId
If not 0, the message thread identifier in which the action was performed.

### action

public TdApi.ChatAction action
The action description; pass null to cancel the currently active action.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SendChatAction

public SendChatAction()
Sends a notification about user activity in a chat.

Returns `Ok`

### SendChatAction

public SendChatAction(long chatId, long messageThreadId, TdApi.ChatAction action)
Sends a notification about user activity in a chat.

Returns `Ok`

Parameters:
  `chatId` - Chat identifier.
  `messageThreadId` - If not 0, the message thread identifier in which the action was performed.
  `action` - The action description; pass null to cancel the currently active action.

  Returns `Ok`

### SendChatAction

public SendChatAction(DataInput input) throws IOException
Sends a notification about user activity in a chat.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`